.App {
  text-align: center;
}

/* CSS Personnalisé */

/* h1 {
  color: rgb(40, 44, 52);
  margin-bottom: 0px;
  margin-top: 40px;
  font-size: 60px;
  line-height: 65px;
  font-weight: 700;
} */

/* Google Fonts */
@import url('https://fonts.googleapis.com/css2?family=Cinzel+Decorative&display=swap');
@import url('https://fonts.googleapis.com/css?family=Roboto|Roboto+Condensed&display=swap');

h1 {
  font-family: 'Cinzel Decorative', cursive;
  font-size: 70px;
  color: white;
  font-weight: normal;
  text-align: center;
  letter-spacing: 6px;
  cursor: pointer;
  margin: 0 auto;
}

h1 a {
  color: inherit;
  text-decoration: none;
  font-family: 'Cinzel Decorative', cursive;
}

h1 a:hover {
  color: inherit;
}

h2,
h3 {
  font-weight: normal;
  text-align: left;
  font-family: 'Roboto Condensed', sans-serif;
}

.active {
  border-bottom: 4px solid #61DAFB;
}

.navbar {
  background-image: url(images/bg-noise-texture.png);
  padding-bottom: 0;
}



body {
  margin: 0;
  padding: 0;
  background-image: url(images/bg-noise-texture.png);
  background-repeat: repeat;
  height: 100vh;
  display: flex;
  flex-direction: column;
}
/* HEADER */
header {
  display: flex;
  justify-content: center;
}

.banner-container {
  padding: 20px 0;
  flex-basis: 80%;
}
/* END HEADER */

/* MAIN */
main {
  flex-grow: 1;
}
/* END MAIN */

/* WELCOME PAGE */
.welcomePage {
  background-color: rgb(49, 50, 53);
  /* background-color: var(--red-color); */
  background-image: url(images/baratheon.png);
  background-repeat: no-repeat;
  background-position: center center;
  display: flex;
  justify-content: space-between;
  height: 500px;
}

/* .startingImg {
  background-image: url(images/xmen.png);
}

.leftImg {
  background-image: url(images/wolverine.png), url(images/griffes-gauche.png);
}

.rightImg {
  background-image: url(images/wolverine.png), url(images/griffes-droit.png);
} */

.leftBox {
  display: flex;
  flex: 0 1 35%;
  align-items: flex-start;
  justify-content: flex-end;
}

.rightBox {
  display: flex;
  flex: 0 1 35%;
  align-items: flex-start;
}

.btn-welcome {
  border: 2px solid white;
  color: white;
  padding: 12px 25px;
  border-radius: 5px;
  background-color: transparent;
  font-weight: normal;
  font-size: 19px;
  text-align: center;
  text-decoration: none;
  margin-top: 150px;
}

.btn-welcome:hover {
  border: 2px solid white;
  color: rgb(49, 50, 53);
  background-color: white;
}
/* END WELCOME PAGE */

/* FOOTER */
footer {
  display: flex;
  justify-content: center;
}

.footer-container {
  padding: 20px 0;
  padding: 20px 0;
  flex: 0 1 80%;
}

.footer-container p {
  color: white;
  line-height: 19px;
  margin: 10px 0;
  padding: 0;
  font-size: 12px;
  font-weight: normal;
}

/* END FOOTER */


/* LOADER */
.loader {
  border: 10px solid grey;
  border-radius: 50%;
  border-top: 10px solid darkred;
  width: 50px;
  height: 50px;
  -webkit-animation: spin 1s linear infinite;
  animation: spin 1s linear infinite;
  margin: 40px auto 20px;
}

.loaderText {
  text-align: center;
  color: white;
}

@-webkit-keyframes spin {
  0% {
    -webkit-transform: rotate(0deg);
  }

  100% {
    -webkit-transform: rotate(360deg);
  }
}

@keyframes spin {
  0% {
    transform: rotate(0deg);
  }

  100% {
    transform: rotate(360deg);
  }
}
/* END LOADER */

/* SIGNUP - LOGIN - FORGETPASSWORD */
.signUpLoginBox {
  background-image: url(images/bg-noise-texture.png);
  background-repeat: repeat;
  -webkit-box-shadow: inset 0px 143px 108px -18px rgba(0, 0, 0, 0.39);
  -moz-box-shadow: inset 0px 143px 108px -18px rgba(0, 0, 0, 0.39);
  box-shadow: inset 0px 143px 108px -18px rgba(0, 0, 0, 0.39);
  display: flex;
  justify-content: center;
}

.slContainer {
  flex: 0 1 80%;
  display: flex;
}

.formBoxLeftSignup {
  min-height: 500px;
  background-image: url(images/stark.png);
  background-repeat: no-repeat;
  background-position: center center;
  flex: 0 1 50%;
}

.formBoxLeftLogin {
  min-height: 500px;
  background-image: url(images/targaryen.png);
  background-repeat: no-repeat;
  background-position: center center;
  flex: 0 1 50%;
}

.formBoxLeftForget {
  min-height: 500px;
  background-image: url(images/lannister.png);
  background-repeat: no-repeat;
  background-position: center center;
  flex: 0 1 50%;
}

.formBoxRight {
  flex: 0 1 50%;
}

.formBoxRight span {
  display: block;
  color: red;
  text-align: center;
  border: 1px solid red;
  padding: 10px;
  margin: 15px 0;
}

.formContent {
  width: 100%;
  padding: 20px;
  box-sizing: border-box;
}

.formContent h2 {
  margin: 0 0 40px 0;
  padding: 0;
  color: white;
  text-transform: uppercase;
}

.formContent .inputBox {
  position: relative;
  height: 80px;
}

.formContent .inputBox input {
  width: 100%;
  padding: 10px 0;
  font-size: 17px;
  color: red;
  /* text-transform: uppercase; */
  font-weight: bold;
  margin-bottom: 30px;
  border: none;
  background: transparent;
  border-bottom: 1px solid white;
  outline: none;
}

.formContent .inputBox label {
  color: white;
  position: absolute;
  top: 0;
  left: 0;
  padding: 10px 0;
  font-size: 17px;
  pointer-events: none;
  -webkit-transition: 0.2s ease-in;
  -moz-transition: 0.2s ease-in;
  -o-transition: 0.2s ease-in;
  transition: 0.2s ease-in;
}

.formContent .inputBox input:focus~label,
.formContent .inputBox input:valid~label {
  top: -30px;
  left: 0;
  color: white;
  font-size: 16px;
  font-style: italic;
}

/* Form buttons */
.formContent button {
  margin-left: 0;
  display: block;
  margin: 0 auto 20px;
  min-width: 150px;
  background-color: transparent;
  color: white;
  padding: 7px;
  font-size: 15px;
  border-radius: 5px;
}

.formContent button:hover {
  background-color: red;
  color: white;
  cursor: pointer;
}

button:disabled,
button[disabled],
button:disabled:hover,
button[disabled]:hover {
  border: 1px solid lightgrey;
  background-color: lightgrey;
  color: darkgrey;
  opacity: 0.65;
  cursor: not-allowed;
}

.linkContainer {
  height: 50px;
  margin-top: 35px;
  padding-top: 15px;
  border-top: 1px dashed lightgrey;
}

.simpleLink {
  color: white;
  text-decoration: none;
  font-size: 12px;
}

.simpleLink:hover {
  color: red;
}
/* END SIGNUP - LOGIN - FORGETPASSWORD */

/* logout buttons */
.logout button {
  margin-left: 0;
  display: block;
  margin: 0 auto 20px;
  min-width: 150px;
  background-color: transparent;
  color: white;
  padding: 7px;
  font-size: 15px;
  border-radius: 5px;
}

.logout button:hover {
  background-color: red;
  color: white;
  cursor: pointer;
}